IBM Support

Security Bulletin: ClassLoader manipulation with Apache Struts affecting Tivoli Storage Productivity Center (CVE-2014-0114)

Security Bulletin


Summary

There is a ClassLoader manipulation vulnerability in Apache Struts that is used by Tivoli Integrated Portal (TIP) and its embedded WebSphere Application Server (eWAS). This vulnerability only affects Tivoli Integrated Portal and does not affect other areas of Tivoli Storage Productivity Center or other instances of embedded WebSphere Application Server within it.

Vulnerability Details

CVEID: CVE-2014-0114

DESCRIPTION:
Apache Struts 1.x could allow a remote attacker to execute arbitrary code on the system, caused by the failure to restrict the setting of Class Loader attributes.

CVSS Base Score: 7.5
CVSS Temporal Score: See http://xforce.iss.net/xforce/xfdb/92889 for the current score
CVSS Environmental Score*: Undefined
CVSS Vector: (AV:N/AC:L/Au:N/C:P/I:P/A:P)

Affected Products and Versions

Tivoli Integrated Portal (TIP) version 1.x and version 2.x, which are part of the following products:
Tivoli Storage Productivity Center 5.1.0 through 5.1.1.4
Tivoli Storage Productivity Center 4.2.0 through 4.2.2.177
Tivoli Storage Productivity Center 4.1.x

The versions listed above apply to all licensed offerings of Tivoli Storage Productivity Center, including IBM SmartCloud Virtual Storage Center Storage Analytics Engine.

System Storage Productivity Center is affected if it has one of the Tivoli Storage Productivity Center versions listed above.

Remediation/Fixes

Affected TPC Version APAR Remediation
5.1.x IT02324 Apply TPC 5.1.1.6 (target March 2015)
-OR-
Apply fixes as documented by the Tivoli Integrated Portal security bulletin.
4.x IT02331 Apply fixes as documented by the Tivoli Integrated Portal security bulletin.

Workarounds and Mitigations

None

Get Notified about Future Security Bulletins

References

Related information

IBM Secure Engineering Web Portal
IBM Product Security Incident Response Blog

Change History

04-March -2015 - Updated with TPC 5.1.1.6 Remediation
13-June-2014 - Original Copy Published

*The CVSS Environment Score is customer environment specific and will ultimately impact the Overall CVSS Score. Customers can evaluate the impact of this vulnerability in their environments by accessing the links in the Reference section of this Security Bulletin.

Disclaimer

According to the Forum of Incident Response and Security Teams (FIRST), the Common Vulnerability Scoring System (CVSS) is an "industry open standard designed to convey vulnerability severity and help to determine urgency and priority of response." IBM PROVIDES THE CVSS SCORES "AS IS" WITHOUT WARRANTY OF ANY KIND, INCLUDING THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. CUSTOMERS ARE RESPONSIBLE FOR ASSESSING THE IMPACT OF ANY ACTUAL OR POTENTIAL SECURITY VULNERABILITY.


Cross reference information
Segment Product Component Platform Version Edition
Storage Management Tivoli Storage Productivity Center Basic Edition Windows, AIX, Linux 4.1, 4.1.1, 4.2, 4.2.1, 4.2.2
Storage Management Tivoli Storage Productivity Center Advanced AIX, Linux, Windows 5.1.1, 5.1
Storage Management Tivoli Storage Productivity Center Standard Edition AIX, Linux, Windows 4.1, 4.1.1, 4.2, 4.2.1, 4.2.2

Document information

More support for: Tivoli Storage Productivity Center

Software version: 5.1, 5.1.1

Operating system(s): AIX, Linux, Windows

Reference #: 1675689

Modified date: 10 March 2015


Translate this page: